"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const StatusBarData_1 = require("novadatainterface/StatusBarData");
const BaseParse_1 = require("./BaseParse");
function StatusBarParse(baseResource, notFoundFunction) {
    return __awaiter(this, void 0, void 0, function* () {
        var base = yield BaseParse_1.BaseParse(baseResource, notFoundFunction);
        // TODO: Parse statusbars
        return Object.assign({}, base, { image: "nova:700", colors: StatusBarData_1.DefaultStatusBarColors, dataAreas: StatusBarData_1.DefaultStatusBarDataAreas });
    });
}
exports.StatusBarParse = StatusBarParse;
//# sourceMappingURL=StatusBarParse.js.map