"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const NovaResourceBase_1 = require("./NovaResourceBase");
// https://developers.google.com/web/updates/2012/06/How-to-convert-ArrayBuffer-to-and-from-String
function ab2str(data) {
    var arr = [];
    for (var i = 0; i < data.byteLength; i += 1) {
        var num = data.getUint8(i);
        if (num == 0) {
            // Got a null, so no more string
            break;
        }
        arr.push(data.getUint8(i));
    }
    return String.fromCharCode.apply(null, arr);
}
class DescResource extends NovaResourceBase_1.BaseResource {
    constructor(resource, idSpace) {
        super(resource, idSpace);
    }
    get text() {
        return ab2str(this.data);
    }
}
exports.DescResource = DescResource;
//# sourceMappingURL=DescResource.js.map