"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const NovaResourceBase_1 = require("./NovaResourceBase");
class SystResource extends NovaResourceBase_1.BaseResource {
    constructor(resource, idSpace) {
        super(resource, idSpace);
        var d = resource.data;
        this.position = [d.getInt16(0), d.getInt16(2)];
        this.links = new Set();
        for (let i = 0; i < 16; i++) {
            var link = d.getInt16(4 + i * 2);
            if (link >= 128) {
                this.links.add(link);
            }
        }
        this.spobs = [];
        for (let i = 0; i < 16; i++) {
            this.spobs[i] = d.getInt16(36 + i * 2);
        }
    }
}
exports.SystResource = SystResource;
//# sourceMappingURL=SystResource.js.map